### Function

# PapersDocument mkstemp

#### Declaration [src]

    int
    pps_mkstemp (
      const char* tmpl,
      char** file_name,
      GError** error
    )

#### Description [src]

Creates a temp file in the papers temp directory.

#### Parameters

`tmpl`

  Type: `const char*`

  A template string; must contain ‘XXXXXX’, but not necessarily as a suffix.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file_name`

  Type: `char**`

  A location to store the filename of the temp file.

  The argument will be set by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `int`

A file descriptor to the newly created temp file name, or %-1 on error with `error` filled in.